#include "KSGScriptObj.h"
#include "../Befehl/KSGSKlasse.h"
#include "../Klassen/KSGSTyp.h"
#include "../Klassen/KSGSBild.h"

using namespace KSGScript;

extern "C"
{
	__declspec( dllexport ) KSGScriptObj *GetNewKSGScriptObj()
	{
		return new KSGScriptObj();
	}

	__declspec( dllexport ) KSGSVariable *GetNewKSGSVariable( KSGScriptObj *zObj, KSGSVariableDef *def )
	{
		return KSGSVariable::erstellVariable( zObj, def );
	}

	__declspec( dllexport ) void SetKSGSBildVariable( KSGSVariable *zBv, Bild *b )
	{
		if( !b )
			return;
		if( zBv->getTyp() != KSGS_BILD )
		{
			b->release();
			return;
		}
		( (KSGSBildKlasse*)zBv )->set( b );
	}
}